---
title: "DamID pipeline analyses"
author: "J. Roman Arguello"
date: "06/01/2020"
output:
  html_document:
    toc: true
    theme: united
    float: true
    number_sections: true
    toc_depth: 2
    highlight: tango
---

```{r setup, include=FALSE}
knitr::opts_chunk$set(echo = TRUE)
```


---- 

# These are the scipts used to plot/analyze TaDa data that has ran through the DamID pipeline. These analyses are used in Figure 1 and 2 and also referred to in the text.

----


## required packages
```{r}
library(pvclust)
library(lattice)
library(ggplot2)
library(heatmap3)
library(gplots)
```



----


## exploring the correlations between datasets


### for IR31a
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR31a_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR31a_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR31a_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR31a_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR31a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR31a_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR31a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR31a_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR31a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```


-----



### for IR40a
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR40a_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR40a_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR40a_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR40a_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR40a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR40a_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR40a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR40a_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR40a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```



### for IR64a
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR64a_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR64a_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR64a_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR64a_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR64a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR64a_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR64a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR64a_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR64a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```




### for IR75a
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR75a_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR75a_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR75a_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75a_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR75a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75a_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR75a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75a_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR75a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```

### for IR75b
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR75b_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR75b_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR75b_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75b_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR75b") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75b_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR75b") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75b_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR75b") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```

-----

### for IR75c
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR75c_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR75c_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR75c_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75c_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR75c") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75c_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR75c") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR75c_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR75c") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```


-----

### for IR84a
```{r}
library("ggplot2")

R1<-read.table("DamID_files/TaDa_IR84a_R1/polII-vs-Dam.gatc.bedgraph",skip=1)
R2<-read.table("DamID_files/TaDa_IR84a_R2/polII-vs-Dam.gatc.bedgraph",skip=1)
R3<-read.table("DamID_files/TaDa_IR84a_R3/polII-vs-Dam.gatc.bedgraph",skip=1)


r1<-as.numeric(as.vector(R1[,4]))
r2<-as.numeric(as.vector(R2[,4]))
r3<-as.numeric(as.vector(R3[,4]))

################## 1 v 2 ########################
df1 = data.frame(r1, r2)

mycor<-paste("Rho =",round(cor(R1[,4],R2[,4]),4),sep=" ")

#jpeg("correlation_plots/IR84a_gatc_1v2_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df1, aes(x=r1, y=r2))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep2: IR84a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 1 v 3 ########################
df2 = data.frame(r1, r3)

mycor<-paste("Rho =",round(cor(R1[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR84a_gatc_1v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df2, aes(x=r1, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep1 V Rep3: IR84a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()



################## 2 v 3 ########################
df3 = data.frame(r2, r3)

mycor<-paste("Rho =",round(cor(R2[,4],R3[,4]),4),sep=" ")

#jpeg("correlation_plots/IR84a_gatc_2v3_correlation.jpeg",height=500,width=800,res=120)
p <- ggplot(df3, aes(x=r2, y=r3))
p <- p + geom_point(colour = "orange", size = 0.75,alpha=1/15)
p<- p + annotate("text", x = -1.5, y = 2, label = mycor)
p <- p + labs(title="polII-vs-Dam GATC Rep2 V Rep3: IR84a") 
p <- p + stat_smooth(method = "lm")
p<- p + theme_bw()
p
#dev.off()
```



-----



## read in the "genes.details" files that are outputted by the DamID pipeline analyses


```{r}
Ir31a<-read.table("DamID_files/TaDa_IR31a_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir64a<-read.table("DamID_files/TaDa_IR64a_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir84a<-read.table("DamID_files/TaDa_IR84a_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir75a<-read.table("DamID_files/TaDa_IR75a_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir75b<-read.table("DamID_files/TaDa_IR75b_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir75c<-read.table("DamID_files/TaDa_IR75c_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
Ir40a<-read.table("DamID_files/TaDa_IR40a_MeanOcupancy_pollII-vs-Dam.genes.details.csv",skip=1)
```


----


## output the number/fraction of genes that were significantly occupied overall (at FDR < 0.05; Fig 2)
```{r}
OS.sig.global<-matrix(ncol=4,nrow=7)
colnames(OS.sig.global)<-c("pop","n.sig","n.not.sig", "frac.sig")

OS.sig.global[1,]<-c("Ir31a",dim(Ir31a[which(Ir31a$V4<0.05 & Ir31a$V2>0),])[1], 17610-dim(Ir31a[which(Ir31a$V4<0.05 & Ir31a$V2>0),])[1], dim(Ir31a[which(Ir31a$V4<0.05 & Ir31a$V2>0),])[1]/17610)
write.csv2(as.vector(Ir31a[which(Ir31a$V4<0.05 & Ir31a$V2>0),1]), "IR31a_global_sigOS.txt",quote = FALSE,row.names = FALSE)


OS.sig.global[2,]<-c("Ir40a",dim(Ir40a[which(Ir40a$V4<0.05 & Ir40a$V2>0),])[1], 17610-dim(Ir40a[which(Ir40a$V4<0.05 & Ir40a$V2>0),])[1], dim(Ir40a[which(Ir40a$V4<0.05 & Ir40a$V2>0),])[1]/17610)
write.csv2(as.vector(Ir40a[which(Ir40a$V4<0.05 & Ir40a$V2>0),1]), "IR40a_global_sigOS.txt",quote = FALSE,row.names = FALSE)

OS.sig.global[3,]<-c("Ir64a",dim(Ir64a[which(Ir64a$V4<0.05 & Ir64a$V2>0),])[1], 17610-dim(Ir64a[which(Ir64a$V4<0.05 & Ir64a$V2>0),])[1], dim(Ir64a[which(Ir64a$V4<0.05 & Ir64a$V2>0),])[1]/17610)
write.csv2(as.vector(Ir64a[which(Ir64a$V4<0.05 & Ir64a$V2>0),1]), "IR64a_global_sigOS.txt",quote = FALSE,row.names = FALSE)
  
  
OS.sig.global[4,]<-c("Ir75a",dim(Ir75a[which(Ir75a$V4<0.05 & Ir75a$V2>0),])[1], 17610-dim(Ir75a[which(Ir75a$V4<0.05 & Ir75a$V2>0),])[1], dim(Ir75a[which(Ir75a$V4<0.05 & Ir75a$V2>0),])[1]/17610)
write.csv2(as.vector(Ir75a[which(Ir75a$V4<0.05 & Ir75a$V2>0),1]), "IR75a_global_sigOS.txt",quote = FALSE,row.names = FALSE)
  

OS.sig.global[5,]<-c("Ir75b",dim(Ir75b[which(Ir75b$V4<0.05 & Ir75b$V2>0),])[1], 17610-dim(Ir75b[which(Ir75b$V4<0.05 & Ir75b$V2>0),])[1], dim(Ir75b[which(Ir75b$V4<0.05 & Ir75b$V2>0),])[1]/17610)
write.csv2(as.vector(Ir75b[which(Ir75b$V4<0.05 & Ir75b$V2>0),1]), "IR75b_global_sigOS.txt",quote = FALSE,row.names = FALSE)

  
OS.sig.global[6,]<-c("Ir75c",dim(Ir75c[which(Ir75c$V4<0.05 & Ir75c$V2>0),])[1], 17610-dim(Ir75c[which(Ir75c$V4<0.05 & Ir75c$V2>0),])[1], dim(Ir75c[which(Ir75c$V4<0.05 & Ir75c$V2>0),])[1]/17610)
write.csv2(as.vector(Ir75c[which(Ir75c$V4<0.05 & Ir75c$V2>0),1]), "IR75c_global_sigOS.txt",quote = FALSE,row.names = FALSE)
  
  
OS.sig.global[7,]<-c("Ir84a",dim(Ir84a[which(Ir84a$V4<0.05 & Ir84a$V2>0),])[1], 17610-dim(Ir84a[which(Ir84a$V4<0.05 & Ir84a$V2>0),])[1], dim(Ir84a[which(Ir84a$V4<0.05 & Ir84a$V2>0),])[1]/17610)
write.csv2(as.vector(Ir84a[which(Ir84a$V4<0.05 & Ir84a$V2>0),1]), "IR84a_global_sigOS.txt",quote = FALSE,row.names = FALSE)
  
  
OS.sig.global<-as.data.frame(OS.sig.global)
OS.sig.global$n.sig<-as.numeric(as.vector(OS.sig.global$n.sig))
print(OS.sig.global)

mycol<-c("#F0E442","#D55E00","#CC79A7","#0072B2","#009E73","black","#999999")
p<- ggplot() + geom_bar(aes(y = n.sig, x = pop, fill=pop ), data = OS.sig.global, stat="identity") + 
  theme_bw() + 
  scale_fill_manual(values=mycol) +
  theme(legend.position = "none")
p

#ggsave("global_sig.svg",p, width=5,height=5)

```
- merged the individual files into one table using the command: "paste *sigOS.txt > Overall_SigOcc.txt"
- manually added the header to the merged table



# sig. occupied genes specific to each neuron population (Fig. 2)
```{r}

Ir31aOSall<-as.vector(Ir31a[which(Ir31a$V4<0.05 & Ir31a$V2>0),1])
Ir40aOSall<-as.vector(Ir40a[which(Ir40a$V4<0.05 & Ir40a$V2>0),1])
Ir64aOSall<-as.vector(Ir64a[which(Ir64a$V4<0.05 & Ir64a$V2>0),1])
Ir75aOSall<-as.vector(Ir75a[which(Ir75a$V4<0.05 & Ir75a$V2>0),1])
Ir75bOSall<-as.vector(Ir75b[which(Ir75b$V4<0.05 & Ir75b$V2>0),1])
Ir75cOSall<-as.vector(Ir75c[which(Ir75c$V4<0.05 & Ir75c$V2>0),1])
Ir84aOSall<-as.vector(Ir84a[which(Ir84a$V4<0.05 & Ir84a$V2>0),1])

'%!in%' <- function(x,y)!('%in%'(x,y))

Ir31a.PopSpecific<-length(Ir31aOSall[which(Ir31aOSall%!in%c(Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))])
print ("-----  unique for Ir31a: ")
Ir31a.PopSpecific
#Ir31aOSall[which(Ir31aOSall%!in%c(Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))]
writeLines(Ir31aOSall[which(Ir31aOSall%!in%c(Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))],"Ir31a_Occ_PopSpecific.txt")


Ir40a.PopSpecific<-length(Ir40aOSall[which(Ir40aOSall%!in%c(Ir31aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))])
print ("-----  unique for Ir40a: ")
Ir40a.PopSpecific
#Ir40aOSall[which(Ir40aOSall%!in%c(Ir31aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))]
writeLines(Ir40aOSall[which(Ir40aOSall%!in%c(Ir31aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))],"Ir40a_Occ_PopSpecific.txt")


Ir64a.PopSpecific<-length(Ir64aOSall[which(Ir64aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))])
print ("-----  unique for Ir64a: ")
Ir64a.PopSpecific
#Ir64aOSall[which(Ir64aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))]
writeLines(Ir64aOSall[which(Ir64aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))] ,"Ir64a_Occ_PopSpecific.txt")

Ir75a.PopSpecific<-length(Ir75aOSall[which(Ir75aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))])
print ("-----  unique for Ir75a: ")
Ir75a.PopSpecific
#Ir75aOSall[which(Ir75aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))]
writeLines(Ir75aOSall[which(Ir75aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75bOSall,Ir75cOSall,Ir84aOSall))],"Ir75a_Occ_PopSpecific.txt")


Ir75b.PopSpecific<-length(Ir75bOSall[which(Ir75bOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75cOSall,Ir84aOSall))])
print ("-----  unique for Ir75b: ")
Ir75b.PopSpecific
#Ir75bOSall[which(Ir75bOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75cOSall,Ir84aOSall))]
writeLines(Ir75bOSall[which(Ir75bOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75cOSall,Ir84aOSall))],"Ir75b_Occ_PopSpecific.txt")


Ir75c.PopSpecific<-length(Ir75cOSall[which(Ir75cOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir84aOSall))])
print ("-----  unique for Ir75c: ")
Ir75c.PopSpecific
#Ir75cOSall[which(Ir75cOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir84aOSall))]
writeLines(Ir75cOSall[which(Ir75cOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir84aOSall))],"Ir75c_Occ_PopSpecific.txt")

  
  
Ir84a.PopSpecific<-length(Ir84aOSall[which(Ir84aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall))])
print ("-----  unique for Ir84a: ")
Ir84a.PopSpecific
#Ir84aOSall[which(Ir84aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall))]
writeLines(Ir84aOSall[which(Ir84aOSall%!in%c(Ir31aOSall,Ir40aOSall,Ir64aOSall,Ir75aOSall,Ir75bOSall,Ir75cOSall))],"Ir84a_Occ_PopSpecific.txt")

```
- merged the individual files into one table using the command: "paste *_PopSpecific.txt > Overall_SigOcc_PopSpecific.txt"
- manually added the header to the merged table



## output files specific to the 7 Ir genes w/in each data set
```{r}
myIRs<-c("Ir31a","Ir40a","Ir64a","Ir75a","Ir75b","Ir75c","Ir84a")
write.table(Ir31a[which(Ir31a[,1]%in%myIRs),],"SigIRs_IR31a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir40a[which(Ir40a[,1]%in%myIRs),],"SigIRs_IR40a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir64a[which(Ir64a[,1]%in%myIRs),],"SigIRs_IR64a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir75a[which(Ir75a[,1]%in%myIRs),],"SigIRs_IR75a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir75b[which(Ir75b[,1]%in%myIRs),],"SigIRs_IR75b.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir75c[which(Ir75c[,1]%in%myIRs),],"SigIRs_IR75c.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
write.table(Ir84a[which(Ir84a[,1]%in%myIRs),],"SigIRs_IR84a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE)
```




## generate a single matrix with the DamID data 

```{r}
Ir31a.OS<-t(Ir31a[,2])
Ir64a.OS<-t(Ir64a[,2])
Ir84a.OS<-t(Ir84a[,2])
Ir75a.OS<-t(Ir75a[,2])
Ir75b.OS<-t(Ir75b[,2])
Ir75c.OS<-t(Ir75c[,2])
Ir40a.OS<-t(Ir40a[,2])

full.data<-rbind(Ir31a.OS,Ir64a.OS,Ir84a.OS,Ir75a.OS,Ir75b.OS,Ir75c.OS,Ir40a.OS)

genes<-as.vector(Ir31a[,1])

colnames(full.data)<-genes
rownames(full.data)<-c("Ir31a", "Ir64a", "Ir84a", "Ir75a", "Ir75b", "Ir75c", "Ir40a")
full.data<-as.matrix(full.data)
```


----

# plot cluster w/ support values (Fig. 2)
```{r}
fit <- pvclust(t(full.data), method.hclust="ward.D",method.dist="euclidean")
plot(fit) # dendogram with p values

# add rectangles around groups highly supported by the data
pvrect(fit, alpha=.95)
plot(fit,main="",xlab="",sub="",ylab="",col="darkblue")
```

-----

# IR64a occupancy scores (Fig.1)

## IR64a plot

```{r}
my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)
s.IR64a<-as.matrix(full.data[,which(colnames(full.data)==("Ir64a"))])
s.IR64a[which(s.IR64a[,1]<0)]<-0 # set negative values to zero
levelplot(s.IR64a, main="IR64a", xlab="", ylab="", col.regions=my_palette)
```

## For the 7 IR occupancy plot (Fig. 1)
```{r}
myCont.IDs <- c("Ir31a","Ir40a","Ir64a", "Ir75a","Ir75b","Ir75c", "Ir84a", "Ir8a", "Ir25a")

Sensory.data<-full.data[,which(colnames(full.data)%in%myCont.IDs)]
Sensory.data<-t(Sensory.data)
Sensory.data<-as.matrix(Sensory.data)
Sensory.data<-Sensory.data[,order(colnames(Sensory.data)) ]

### set negative values to zero
for(i in 1:dim(Sensory.data)[1]){
  for(j in 1:dim(Sensory.data)[2]){
    if(Sensory.data[i,j]<0) {
      Sensory.data[i,j]<-0
    }
  }
}

my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap3(Sensory.data,col=my_palette,scale="none",cexCol=2,cexRow=1.2,main="7 IRs", Colv = "Rowv",Rowv=NA)

```


-----

## For the full set of chemosensory genes (Fig. S1)
```{r,fig.align="center", fig.width = 5, fig.height=10, fig.cap= "occupancy for all sensory genes"}
mySensory<-read.table("sensory_genes.txt",sep="\t",header=FALSE,fill=TRUE)

mySensory.IDs<-as.vector(mySensory[,1])

Sensory.data<-full.data[,which(colnames(full.data)%in%mySensory.IDs)]
Sensory.data<-t(Sensory.data)
Sensory.data<-Sensory.data[ order(row.names(Sensory.data)), ]
Sensory.data<-as.matrix(Sensory.data)
Sensory.data<-Sensory.data[,order(colnames(Sensory.data)) ]

### set negative values to zero
for(i in 1:dim(Sensory.data)[1]){
  #print(i)
  for(j in 1:dim(Sensory.data)[2]){
    #print(j)
    #print(Sensory.data[i,j])
    if(Sensory.data[i,j]<0) {
      Sensory.data[i,j]<-0
    }
  }
}
my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)
heatmap.2(Sensory.data,dendrogram='none',Rowv="FALSE",Colv="FALSE",col=my_palette,scale="none",key=F,density.info="none", trace="none",cexCol=0.1,cexRow=0.24,main="chemoreceptor\ngenes")

```



## output the significant chemogenes from the above heatmap
```{r}
chemogenes<-as.vector(mySensory[,1])

# for sig chemo genes (the 7) w/in each data set
IR31a.data<-Ir31a[which(Ir31a[,1]%in%chemogenes),]
IR31a.data.sig<-IR31a.data[which(IR31a.data$V4<0.05 & IR31a.data$V2>0),]
write.table(IR31a.data.sig,"SigChemoRec_IR31a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")

IR40a.data<-Ir40a[which(Ir40a[,1]%in%chemogenes),]
IR40a.data.sig<-IR40a.data[which(IR40a.data$V4<0.05 & IR40a.data$V2>0),]
write.table(IR40a.data.sig,"SigChemoRec_IR40a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")

IR64a.data<-Ir64a[which(Ir64a[,1]%in%chemogenes),]
IR64a.data.sig<-IR64a.data[which(IR64a.data$V4<0.05 & IR64a.data$V2>0),]
write.table(IR64a.data.sig,"SigChemoRec_IR64a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")


IR75a.data<-Ir75a[which(Ir75a[,1]%in%chemogenes),]
IR75a.data.sig<-IR75a.data[which(IR75a.data$V4<0.05 & IR75a.data$V2>0),]
write.table(IR75a.data.sig,"SigChemoRec_IR75a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")

IR75b.data<-Ir75b[which(Ir75b[,1]%in%chemogenes),]
IR75b.data.sig<-IR75b.data[which(IR75b.data$V4<0.05 & IR75b.data$V2>0),]
write.table(IR75b.data.sig,"SigChemoRec_IR75b.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")

IR75c.data<-Ir75c[which(Ir75c[,1]%in%chemogenes),]
IR75c.data.sig<-IR75c.data[which(IR75c.data$V4<0.05 & IR75c.data$V2>0),]
write.table(IR75c.data.sig,"SigChemoRec_IR75c.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")


IR84a.data<-Ir84a[which(Ir84a[,1]%in%chemogenes),]
IR84a.data.sig<-IR84a.data[which(IR84a.data$V4<0.05 & IR84a.data$V2>0),]
write.table(IR84a.data.sig,"SigChemoRec_IR84a.txt",row.names=FALSE,quote=FALSE,col.names=FALSE,sep="\t")


```



## For the control genes occupancy plot (Fig. 1, panel G)

```{r}
######### plot for control genes ##########
myContr <- c("elav", "nSyb","peb","Oaz", "VAChT", "ChAT", "VGlut",  "Gad1", "Obp59a", "Obp84a", "nompA", "repo","GABA-B-R2","sNPF","Tk","Mip")


myCont.IDs<-c(myContr)

Control.data<-full.data[,which(colnames(full.data)%in%myCont.IDs)]
Control.data<-t(Control.data)
Control.data<-as.matrix(Control.data)
Control.data<-Control.data[,order(colnames(Control.data)) ]
Control.data<-as.matrix(Control.data)

# reorder
Control.data<-Control.data[c(15,6,16,4,5,9,3,11,13,12,1,7,14,2,10,8),]

### set negative values to zero
for(i in 1:dim(Control.data)[1]){
  for(j in 1:dim(Control.data)[2]){
    if(Control.data[i,j]<0) {
      Control.data[i,j]<-0
    }
  }
}

my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

#pdf("TaDa_Control_Set.pdf",width=15,height=15)
#heatmap3(Control.data,col=my_palette,scale="none",cexCol=2,cexRow=1.2,main="7 IRs", Colv = "Rowv",Rowv=NA)
#dev.off()

```



-----

# subset by additional molecular function (Fig. 2)

- This is based on our flybase annotation genelists that were gathered with the following search terms:
  - GPCR
  - neuron projection guidance (these were not matched: "limbo", "diva", "alf", "roam", "rambl")
  - ion channels (manually removed IRs and ORs; these were not matched: "Itpr","CG11430","CG44099")
  - neuropeptides ("Gpa2" was not matched)



------


### simple function to do the counting
- this will be used on each of the categories

```{r}
# function to count the number of significantly occupied TFs
# x = the IR data set (ie. Ir40a, Ir64a)
# y = the particular dataset to be querried (ie TFs or CSSPs)
# y = the name of the output file were the list will be written
# the output will simply be the number of TF sig. occupied in the dataset
fm<-function(x,y,z){ 
  to.keep.fdr<-c()
  X.TFs<-c()
  for (i in 1:dim(y)[1]) {
    if (x[which(x[,1]==rownames(y)[i]),4]<0.05 & x[which(x[,1]==rownames(y)[i]),2]>0) {
      to.keep.fdr[j]<-i
      X.TFs[j]<-rownames(y)[i]
      j<-j+1
    }
  }
  X.TFs<-X.TFs[!is.na(X.TFs)]
  X.TF.set<-x[x[,1]%in%X.TFs,]
  write.table(X.TF.set, z,sep="\t", quote=FALSE,col.names=FALSE,row.names=FALSE)#output the TFs
  return(dim(X.TF.set)[1]) # the count
}
```


## for the neuropeptide set (Fig 2, panel C)
```{r,fig.align="center", fig.width = 12, fig.height=12}
## generate a heatmap for the neuropeptides
myNPeps<-read.table("neuropeptides.txt",sep="\t",header=TRUE,fill=TRUE)
NP.IDs<-as.vector(myNPeps$SYMBOL)


CSPS.data<-full.data[,which(colnames(full.data)%in%NP.IDs)]

CSPS.data<-t(CSPS.data)
CSPS.data<-CSPS.data[ order(row.names(CSPS.data)), ]
CSPS.data<-as.matrix(CSPS.data)
CSPS.data<-CSPS.data[,order(colnames(CSPS.data)) ]

### set negative values to zero
for(i in 1:dim(CSPS.data)[1]){
  for(j in 1:dim(CSPS.data)[2]){
    if(CSPS.data[i,j]<0) {
      CSPS.data[i,j]<-0
    }
  }
}


my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap.2(CSPS.data,dendrogram='row',col=my_palette,scale="none",density.info="none", trace="none",cexCol=1,cexRow=0.24,main="neuropeptides",margins=c(5,10),Colv=FALSE,lwid = c(0.1,0.2),lhei=c(0.5,1),key = T)
```


### again, apply the above function to the 7 datasets and put them into a table

```{r}
CSSP.per.pop<-matrix(ncol=1,nrow=7)
row.names(CSSP.per.pop)<-c("Ir31a","Ir40a","Ir64a", "Ir75a", "Ir75b","Ir75c", "Ir84a")
colnames(CSSP.per.pop)<-c("N.CSSP")

CSSP.per.pop[1,1]<-fm(Ir31a,CSPS.data, "Ir31a_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[2,1]<-fm(Ir40a,CSPS.data, "Ir40a_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[3,1]<-fm(Ir64a,CSPS.data,"Ir64a_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[4,1]<-fm(Ir75a,CSPS.data,"Ir75a_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[5,1]<-fm(Ir75b,CSPS.data,"Ir75b_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[6,1]<-fm(Ir75c,CSPS.data,"Ir75c_Occupied_CSSP_neuropep.txt")
CSSP.per.pop[7,1]<-fm(Ir84a,CSPS.data,"Ir84a_Occupied_CSSP_neuropep.txt")
```



## number of neuropeptides occupied per IR population

```{r}
print(CSSP.per.pop)
```


## what is the number of unique neuropeptides in each of the 7 populations?

```{r}
ir31a.cssp<-as.vector(read.table("Ir31a_Occupied_CSSP_neuropep.txt")[ ,1])
ir40a.cssp<-as.vector(read.table("Ir40a_Occupied_CSSP_neuropep.txt")[ ,1])
ir64a.cssp<-as.vector(read.table("Ir64a_Occupied_CSSP_neuropep.txt")[ ,1])
ir75a.cssp<-as.vector(read.table("Ir75a_Occupied_CSSP_neuropep.txt")[ ,1])
ir75b.cssp<-as.vector(read.table("Ir75b_Occupied_CSSP_neuropep.txt")[ ,1])
ir75c.cssp<-as.vector(read.table("Ir75c_Occupied_CSSP_neuropep.txt")[ ,1])
ir84a.cssp<-as.vector(read.table("Ir84a_Occupied_CSSP_neuropep.txt")[ ,1])


# write single table for all TFs across the 7 pops
NP.sig.out<-list(A=c(ir31a.cssp), B=c(ir40a.cssp),C=c(ir64a.cssp),D=c(ir75a.cssp),E=c(ir75b.cssp),F=c(ir75c.cssp),G=c(ir84a.cssp))
NP.sig.out<-data.frame(lapply(NP.sig.out, "length<-", max(lengths(NP.sig.out))))
write.table(NP.sig.out,"Neuropep_sigOcc_7pops.txt",sep="\t",row.names=FALSE,quote=FALSE)

'%!in%' <- function(x,y)!('%in%'(x,y))

ir31a.unique<-length(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir31a: ")
ir31a.unique
#ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir31a_NP_Occ_PopSpecific.txt")


ir40a.unique<-length(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir40a: ")
ir40a.unique
#ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir40a_NP_Occ_PopSpecific.txt")


ir64a.unique<-length(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir64a: ")
ir64a.unique
#ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir64a_NP_Occ_PopSpecific.txt")


ir75a.unique<-length(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75a: ")
ir75a.unique
#ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir75a_NP_Occ_PopSpecific.txt")


ir75b.unique<-length(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75b: ")
ir75b.unique
#ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))],"Ir75b_NP_Occ_PopSpecific.txt")


ir75c.unique<-length(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))])
print ("-----  unique for Ir75c: ")
ir75c.unique
#ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))]
writeLines(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))],"Ir75c_NP_Occ_PopSpecific.txt")


ir84a.unique<-length(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))])
print ("-----  unique for Ir84a: ")
ir84a.unique
#ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))]
writeLines(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))],"Ir84a_NP_Occ_PopSpecific.txt")

```

- merged the individual pop-specific files into one table using the command: "paste *_NP_Occ_PopSpecific.txt > TF_sigOcc_7pops_PopSpecific.txt"
- manually added the header to the merged table



---



## for the G-protein receptor set (Fig 2, panel D)
```{r,fig.align="center", fig.width = 12, fig.height=12}
## generate a heatmap for the g-prot. receptors
myGPrec<-read.table("GPCRs.txt",sep="\t",header=TRUE,fill=TRUE)
GP.IDs<-as.vector(myGPrec$SYMBOL)


CSPS.data<-full.data[,which(colnames(full.data)%in%GP.IDs)]

CSPS.data<-t(CSPS.data)
CSPS.data<-CSPS.data[ order(row.names(CSPS.data)), ]
CSPS.data<-as.matrix(CSPS.data)
CSPS.data<-CSPS.data[,order(colnames(CSPS.data)) ]

### set negative values to zero
for(i in 1:dim(CSPS.data)[1]){
  for(j in 1:dim(CSPS.data)[2]){
    if(CSPS.data[i,j]<0) {
      CSPS.data[i,j]<-0
    }
  }
}


my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap.2(CSPS.data,dendrogram='row',col=my_palette,scale="none",density.info="none", trace="none",cexCol=1,cexRow=0.24,main="GPCRs",margins=c(5,10),Colv=FALSE,lwid = c(0.1,0.2),lhei=c(0.5,1),key = T)
```


### again, apply the above function to the 7 datasets and put them into a table

```{r}
CSSP.per.pop<-matrix(ncol=1,nrow=7)
row.names(CSSP.per.pop)<-c("Ir31a","Ir40a","Ir64a", "Ir75a", "Ir75b","Ir75c", "Ir84a")
colnames(CSSP.per.pop)<-c("N.CSSP")

CSSP.per.pop[1,1]<-fm(Ir31a,CSPS.data, "Ir31a_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[2,1]<-fm(Ir40a,CSPS.data, "Ir40a_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[3,1]<-fm(Ir64a,CSPS.data,"Ir64a_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[4,1]<-fm(Ir75a,CSPS.data,"Ir75a_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[5,1]<-fm(Ir75b,CSPS.data,"Ir75b_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[6,1]<-fm(Ir75c,CSPS.data,"Ir75c_Occupied_CSSP_Gprot.txt")
CSSP.per.pop[7,1]<-fm(Ir84a,CSPS.data,"Ir84a_Occupied_CSSP_Gprot.txt")
```



## number of g-prot. receptors occupied per IR population

```{r}
print(CSSP.per.pop)
```


## what is the number of unique g-prot. receptors in each of the 7 populations?

```{r}
ir31a.cssp<-as.vector(read.table("Ir31a_Occupied_CSSP_Gprot.txt")[ ,1])
ir40a.cssp<-as.vector(read.table("Ir40a_Occupied_CSSP_Gprot.txt")[ ,1])
ir64a.cssp<-as.vector(read.table("Ir64a_Occupied_CSSP_Gprot.txt")[ ,1])
ir75a.cssp<-as.vector(read.table("Ir75a_Occupied_CSSP_Gprot.txt")[ ,1])
ir75b.cssp<-as.vector(read.table("Ir75b_Occupied_CSSP_Gprot.txt")[ ,1])
ir75c.cssp<-as.vector(read.table("Ir75c_Occupied_CSSP_Gprot.txt")[ ,1])
ir84a.cssp<-as.vector(read.table("Ir84a_Occupied_CSSP_Gprot.txt")[ ,1])

# write single table for all TFs across the 7 pops
GPCR.sig.out<-list(A=c(ir31a.cssp), B=c(ir40a.cssp),C=c(ir64a.cssp),D=c(ir75a.cssp),E=c(ir75b.cssp),F=c(ir75c.cssp),G=c(ir84a.cssp))
GPCR.sig.out<-data.frame(lapply(GPCR.sig.out, "length<-", max(lengths(GPCR.sig.out))))
write.table(GPCR.sig.out,"GPCR_sigOcc_7pops.txt",sep="\t",row.names=FALSE,quote=FALSE)




'%!in%' <- function(x,y)!('%in%'(x,y))

ir31a.unique<-length(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir31a: ")
ir31a.unique
#ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir31a_GPCR_Occ_PopSpecific.txt")


ir40a.unique<-length(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir40a: ")
ir40a.unique
#ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir40a_GPCR_Occ_PopSpecific.txt")


ir64a.unique<-length(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir64a: ")
ir64a.unique
#ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir64a_GPCR_Occ_PopSpecific.txt")


ir75a.unique<-length(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75a: ")
ir75a.unique
#ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir75a_GPCR_Occ_PopSpecific.txt")



ir75b.unique<-length(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75b: ")
ir75b.unique
#ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))],"Ir75b_GPCR_Occ_PopSpecific.txt")


ir75c.unique<-length(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))])
print ("-----  unique for Ir75c: ")
ir75c.unique
#ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))]
writeLines(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))],"Ir75c_GPCR_Occ_PopSpecific.txt")

ir84a.unique<-length(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))])
print ("-----  unique for Ir84a: ")
ir84a.unique
#ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))]
writeLines(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))],"Ir84a_GPCR_Occ_PopSpecific.txt")

```

- merged the individual pop-specific files into one table using the command: "paste *_GPCR_Occ_PopSpecific.txt > GPCR_sigOcc_7pops_PopSpecific.txt"
- manually added the header to the merged table




---

## for the ion channel set

```{r,fig.align="center", fig.width = 12, fig.height=12}
## generate a heatmap for the ion channels
myION<-read.table("ion_channels.txt",sep="\t",header=TRUE,fill=TRUE)
ION.IDs<-as.vector(myION$SYMBOL)


CSPS.data<-full.data[,which(colnames(full.data)%in%ION.IDs)]

CSPS.data<-t(CSPS.data)
CSPS.data<-CSPS.data[ order(row.names(CSPS.data)), ]
CSPS.data<-as.matrix(CSPS.data)
CSPS.data<-CSPS.data[,order(colnames(CSPS.data)) ]

### set negative values to zero
for(i in 1:dim(CSPS.data)[1]){
  for(j in 1:dim(CSPS.data)[2]){
    if(CSPS.data[i,j]<0) {
      CSPS.data[i,j]<-0
    }
  }
}


my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap.2(CSPS.data,dendrogram='row',col=my_palette,scale="none",density.info="none", trace="none",cexCol=1,cexRow=0.24,main="ion channels",margins=c(5,10),Colv=FALSE,lwid = c(0.1,0.2),lhei=c(0.5,1),key = T)
```


### again, apply the above function to the 7 datasets and put them into a table

```{r}
CSSP.per.pop<-matrix(ncol=1,nrow=7)
row.names(CSSP.per.pop)<-c("Ir31a","Ir40a","Ir64a", "Ir75a", "Ir75b","Ir75c", "Ir84a")
colnames(CSSP.per.pop)<-c("N.CSSP")

CSSP.per.pop[1,1]<-fm(Ir31a,CSPS.data, "Ir31a_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[2,1]<-fm(Ir40a,CSPS.data, "Ir40a_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[3,1]<-fm(Ir64a,CSPS.data,"Ir64a_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[4,1]<-fm(Ir75a,CSPS.data,"Ir75a_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[5,1]<-fm(Ir75b,CSPS.data,"Ir75b_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[6,1]<-fm(Ir75c,CSPS.data,"Ir75c_Occupied_CSSP_ion_channels.txt")
CSSP.per.pop[7,1]<-fm(Ir84a,CSPS.data,"Ir84a_Occupied_CSSP_ion_channels.txt")
```



## number of ion channels occupied per IR population

```{r}
print(CSSP.per.pop)
```


## what is the number of unique ion channels in each of the 7 populations?

```{r}
ir31a.cssp<-as.vector(read.table("Ir31a_Occupied_CSSP_ion_channels.txt")[ ,1])
ir40a.cssp<-as.vector(read.table("Ir40a_Occupied_CSSP_ion_channels.txt")[ ,1])
ir64a.cssp<-as.vector(read.table("Ir64a_Occupied_CSSP_ion_channels.txt")[ ,1])
ir75a.cssp<-as.vector(read.table("Ir75a_Occupied_CSSP_ion_channels.txt")[ ,1])
ir75b.cssp<-as.vector(read.table("Ir75b_Occupied_CSSP_ion_channels.txt")[ ,1])
ir75c.cssp<-as.vector(read.table("Ir75c_Occupied_CSSP_ion_channels.txt")[ ,1])
ir84a.cssp<-as.vector(read.table("Ir84a_Occupied_CSSP_ion_channels.txt")[ ,1])


# write single table for all TFs across the 7 pops
IC.sig.out<-list(A=c(ir31a.cssp), B=c(ir40a.cssp),C=c(ir64a.cssp),D=c(ir75a.cssp),E=c(ir75b.cssp),F=c(ir75c.cssp),G=c(ir84a.cssp))
IC.sig.out<-data.frame(lapply(IC.sig.out, "length<-", max(lengths(IC.sig.out))))
write.table(IC.sig.out,"IC_sigOcc_7pops.txt",sep="\t",row.names=FALSE,quote=FALSE)


'%!in%' <- function(x,y)!('%in%'(x,y))

ir31a.unique<-length(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir31a: ")
ir31a.unique
#ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir31a_IC_Occ_PopSpecific.txt")


ir40a.unique<-length(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir40a: ")
ir40a.unique
#ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir40a_IC_Occ_PopSpecific.txt")


ir64a.unique<-length(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir64a: ")
ir64a.unique
#ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir64a_IC_Occ_PopSpecific.txt")


ir75a.unique<-length(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75a: ")
ir75a.unique
#ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir75a_IC_Occ_PopSpecific.txt")


ir75b.unique<-length(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75b: ")
ir75b.unique
#ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))],"Ir75b_IC_Occ_PopSpecific.txt")


ir75c.unique<-length(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))])
print ("-----  unique for Ir75c: ")
ir75c.unique
#ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))]
writeLines(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))],"Ir75c_IC_Occ_PopSpecific.txt")


ir84a.unique<-length(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))])
print ("-----  unique for Ir84a: ")
ir84a.unique
#ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))]
writeLines(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))],"Ir84a_IC_Occ_PopSpecific.txt")


```


----


## for the neuron projection guidance molecule set (Fig 2, panel F)
```{r,fig.align="center", fig.width = 12, fig.height=12}
## generate a heatmap for the neuron projection guidance molecule set
myNPGM<-read.table("neuron_projection_guidance.txt",sep="\t",header=TRUE,fill=TRUE)
NPGM.IDs<-as.vector(myNPGM$SYMBOL)


CSPS.data<-full.data[,which(colnames(full.data)%in%NPGM.IDs)]

CSPS.data<-t(CSPS.data)
CSPS.data<-CSPS.data[ order(row.names(CSPS.data)), ]
CSPS.data<-as.matrix(CSPS.data)
CSPS.data<-CSPS.data[,order(colnames(CSPS.data)) ]

### set negative values to zero
for(i in 1:dim(CSPS.data)[1]){
  for(j in 1:dim(CSPS.data)[2]){
    if(CSPS.data[i,j]<0) {
      CSPS.data[i,j]<-0
    }
  }
}


my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap.2(CSPS.data,dendrogram='row',col=my_palette,scale="none",density.info="none", trace="none",cexCol=1,cexRow=0.24,main="neuron projection guidance molecules",margins=c(5,10),Colv=FALSE,lwid = c(0.1,0.2),lhei=c(0.5,1),key = T)
```


### again, apply the above function to the 7 datasets and put them into a table

```{r}
CSSP.per.pop<-matrix(ncol=1,nrow=7)
row.names(CSSP.per.pop)<-c("Ir31a","Ir40a","Ir64a", "Ir75a", "Ir75b","Ir75c", "Ir84a")
colnames(CSSP.per.pop)<-c("N.CSSP")

CSSP.per.pop[1,1]<-fm(Ir31a,CSPS.data,"Ir31a_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[2,1]<-fm(Ir40a,CSPS.data,"Ir40a_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[3,1]<-fm(Ir64a,CSPS.data,"Ir64a_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[4,1]<-fm(Ir75a,CSPS.data,"Ir75a_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[5,1]<-fm(Ir75b,CSPS.data,"Ir75b_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[6,1]<-fm(Ir75c,CSPS.data,"Ir75c_Occupied_CSSP_NPGM.txt")
CSSP.per.pop[7,1]<-fm(Ir84a,CSPS.data,"Ir84a_Occupied_CSSP_NPGM.txt")
```



## number of NPGM occupied per IR population

```{r}
print(CSSP.per.pop)
```


## what is the number of unique NPGM in each of the 7 populations?

```{r}
ir31a.cssp<-as.vector(read.table("Ir31a_Occupied_CSSP_NPGM.txt")[ ,1])
ir40a.cssp<-as.vector(read.table("Ir40a_Occupied_CSSP_NPGM.txt")[ ,1])
ir64a.cssp<-as.vector(read.table("Ir64a_Occupied_CSSP_NPGM.txt")[ ,1])
ir75a.cssp<-as.vector(read.table("Ir75a_Occupied_CSSP_NPGM.txt")[ ,1])
ir75b.cssp<-as.vector(read.table("Ir75b_Occupied_CSSP_NPGM.txt")[ ,1])
ir75c.cssp<-as.vector(read.table("Ir75c_Occupied_CSSP_NPGM.txt")[ ,1])
ir84a.cssp<-as.vector(read.table("Ir84a_Occupied_CSSP_NPGM.txt")[ ,1])

# write single table for all TFs across the 7 pops
NPG.sig.out<-list(A=c(ir31a.cssp), B=c(ir40a.cssp),C=c(ir64a.cssp),D=c(ir75a.cssp),E=c(ir75b.cssp),F=c(ir75c.cssp),G=c(ir84a.cssp))
NPG.sig.out<-data.frame(lapply(NPG.sig.out, "length<-", max(lengths(NPG.sig.out))))
write.table(NPG.sig.out,"NPG_sigOcc_7pops.txt",sep="\t",row.names=FALSE,quote=FALSE)


'%!in%' <- function(x,y)!('%in%'(x,y))

ir31a.unique<-length(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir31a: ")
ir31a.unique
#ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir31a.cssp[which(ir31a.cssp%!in%c(ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir31a_NPG_Occ_PopSpecific.txt")


ir40a.unique<-length(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir40a: ")
ir40a.unique
#ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir40a.cssp[which(ir40a.cssp%!in%c(ir31a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir40a_NPG_Occ_PopSpecific.txt")


ir64a.unique<-length(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir64a: ")
ir64a.unique
#ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir64a.cssp[which(ir64a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir64a_NPG_Occ_PopSpecific.txt")


ir75a.unique<-length(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75a: ")
ir75a.unique
#ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75a.cssp[which(ir75a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75b.cssp,ir75c.cssp,ir84a.cssp))],"Ir75a_NPG_Occ_PopSpecific.txt")


ir75b.unique<-length(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))])
print ("-----  unique for Ir75b: ")
ir75b.unique
#ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))]
writeLines(ir75b.cssp[which(ir75b.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75c.cssp,ir84a.cssp))],"Ir75b_NPG_Occ_PopSpecific.txt")


ir75c.unique<-length(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))])
print ("-----  unique for Ir75c: ")
ir75c.unique
#ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))]
writeLines(ir75c.cssp[which(ir75c.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir84a.cssp))],"Ir75c_NPG_Occ_PopSpecific.txt")



ir84a.unique<-length(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))])
print ("-----  unique for Ir84a: ")
ir84a.unique
#ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))]
writeLines(ir84a.cssp[which(ir84a.cssp%!in%c(ir31a.cssp,ir40a.cssp,ir64a.cssp,ir75a.cssp,ir75b.cssp,ir75c.cssp))],"Ir84a_NPG_Occ_PopSpecific.txt")


```


- merged the individual pop-specific files into one table using the command: "paste *_NPG_Occ_PopSpecific.txt > NPG_sigOcc_7pops_PopSpecific.txt"
- manually added the header to the merged table




-----

# TFs (Fig. 2, panel G)

## generate a heatmap for the TFs 

- This is based on our own filted TF list
```{r}
######### plot for TFs ##########
myTF<-read.table("FlyTF_v2_filtered.tsv",sep="\t",header=FALSE,fill=TRUE) # read in our TF files 

myTF.IDs<-myTF[,3]
myTF.IDs<-as.vector(myTF.IDs)
TF.IDs<-myTF.IDs[which(!duplicated(myTF.IDs))] # check for duplicated IDs

TF.data<-full.data[,which(tolower(colnames(full.data))%in%tolower(TF.IDs))]
TF.data<-t(TF.data)
TF.data<-TF.data[ order(row.names(TF.data)), ]
TF.data<-as.matrix(TF.data)
TF.data<-TF.data[,order(colnames(TF.data)) ]

# we don't care about genes that have negative OS, so set negative values to zero
for(i in 1:dim(TF.data)[1]){
  for(j in 1:dim(TF.data)[2]){
    if(TF.data[i,j]<0) {
      TF.data[i,j]<-0
    }
  }
}

my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)

heatmap.2(TF.data,dendrogram='row',col=my_palette,scale="none",density.info="none", trace="none",cexCol=1,cexRow=0.24,main="TFs",margins=c(5,10),Colv=FALSE,lwid = c(0.1,0.2),lhei=c(0.5,1),key = T)
```


## output the number of the TF that are significantly occupied within each dataset

```{r}
TF.per.pop<-matrix(ncol=1,nrow=7)
row.names(TF.per.pop)<-c("Ir31a","Ir40a","Ir64a", "Ir75a", "Ir75b","Ir75c", "Ir84a")
colnames(TF.per.pop)<-c("N.TFs")

TF.per.pop[1,1]<-fm(Ir31a,TF.data, "Ir31a_Occupied_TFs.txt")
TF.per.pop[2,1]<-fm(Ir40a,TF.data,"Ir40a_Occupied_TFs.txt")
TF.per.pop[3,1]<-fm(Ir64a,TF.data,"Ir64a_Occupied_TFs.txt")
TF.per.pop[4,1]<-fm(Ir75a,TF.data,"Ir75a_Occupied_TFs.txt")
TF.per.pop[5,1]<-fm(Ir75b,TF.data,"Ir75b_Occupied_TFs.txt")
TF.per.pop[6,1]<-fm(Ir75c,TF.data,"Ir75c_Occupied_TFs.txt")
TF.per.pop[7,1]<-fm(Ir84a,TF.data,"Ir84a_Occupied_TFs.txt")
```

## number of TF occupied per IR population

```{r}
print(TF.per.pop)
```


## how many TF are at least sig. occupied in one IR population?

```{r}
all.TFs<-c()
all.TFs<-cbind(all.TFs,as.vector(read.table("Ir31a_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir40a_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir64a_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir75a_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir75b_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir75c_Occupied_TFs.txt")[,1]))
all.TFs<-append(all.TFs,as.vector(read.table("Ir84a_Occupied_TFs.txt")[,1]))

print(length(unique(all.TFs)))
```


## what is the number of unique TF in each of the 7 populations?

```{r}
ir31a.TF<-as.vector(read.table("Ir31a_Occupied_TFs.txt")[ ,1])
ir40a.TF<-as.vector(read.table("Ir40a_Occupied_TFs.txt")[ ,1])
ir64a.TF<-as.vector(read.table("Ir64a_Occupied_TFs.txt")[ ,1])
ir75a.TF<-as.vector(read.table("Ir75a_Occupied_TFs.txt")[ ,1])
ir75b.TF<-as.vector(read.table("Ir75b_Occupied_TFs.txt")[ ,1])
ir75c.TF<-as.vector(read.table("Ir75c_Occupied_TFs.txt")[ ,1])
ir84a.TF<-as.vector(read.table("Ir84a_Occupied_TFs.txt")[ ,1])

# write single table for all TFs across the 7 pops
TF.sig.out<-list(A=c(ir31a.TF), B=c(ir40a.TF),C=c(ir64a.TF),D=c(ir75a.TF),E=c(ir75b.TF),F=c(ir75c.TF),G=c(ir84a.TF))
TF.sig.out<-data.frame(lapply(TF.sig.out, "length<-", max(lengths(TF.sig.out))))
write.table(TF.sig.out,"TF_sigOcc_7pops.txt",sep="\t",row.names=FALSE,quote=FALSE)


'%!in%' <- function(x,y)!('%in%'(x,y))

ir31a.unique<-length(ir31a.TF[which(ir31a.TF%!in%c(ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))])
print ("-----  unique for Ir31a: ")
ir31a.unique
#ir31a.TF[which(ir31a.TF%!in%c(ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))]
writeLines(ir31a.TF[which(ir31a.TF%!in%c(ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))],"Ir31a_TF_Occ_PopSpecific.txt")

ir40a.unique<-length(ir40a.TF[which(ir40a.TF%!in%c(ir31a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))])
print ("-----  unique for Ir40a: ")
ir40a.unique
#ir40a.TF[which(ir40a.TF%!in%c(ir31a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))]
writeLines(ir40a.TF[which(ir40a.TF%!in%c(ir31a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))],"Ir40a_TF_Occ_PopSpecific.txt")
  
ir64a.unique<-length(ir64a.TF[which(ir64a.TF%!in%c(ir31a.TF,ir40a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))])
print ("-----  unique for Ir64a: ")
ir64a.unique
#ir64a.TF[which(ir64a.TF%!in%c(ir31a.TF,ir40a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))]
writeLines(ir64a.TF[which(ir64a.TF%!in%c(ir31a.TF,ir40a.TF,ir75a.TF,ir75b.TF,ir75c.TF,ir84a.TF))],"Ir64a_TF_Occ_PopSpecific.txt")
  

ir75a.unique<-length(ir75a.TF[which(ir75a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75b.TF,ir75c.TF,ir84a.TF))])
print ("-----  unique for Ir75a: ")
ir75a.unique
#ir75a.TF[which(ir75a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75b.TF,ir75c.TF,ir84a.TF))]
writeLines(ir75a.TF[which(ir75a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75b.TF,ir75c.TF,ir84a.TF))],"Ir75a_TF_Occ_PopSpecific.txt")
  

ir75b.unique<-length(ir75b.TF[which(ir75b.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75c.TF,ir84a.TF))])
print ("-----  unique for Ir75b: ")
ir75b.unique
#ir75b.TF[which(ir75b.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75c.TF,ir84a.TF))]
writeLines(ir75b.TF[which(ir75b.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75c.TF,ir84a.TF))],"Ir75b_TF_Occ_PopSpecific.txt")
  

ir75c.unique<-length(ir75c.TF[which(ir75c.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir84a.TF))])
print ("-----  unique for Ir75c: ")
ir75c.unique
#ir75c.TF[which(ir75c.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir84a.TF))]
writeLines(ir75c.TF[which(ir75c.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir84a.TF))],"Ir75c_TF_Occ_PopSpecific.txt")
  
ir84a.unique<-length(ir84a.TF[which(ir84a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF))])
print ("-----  unique for Ir84a: ")
ir84a.unique
#ir84a.TF[which(ir84a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF))]
writeLines(ir84a.TF[which(ir84a.TF%!in%c(ir31a.TF,ir40a.TF,ir64a.TF,ir75a.TF,ir75b.TF,ir75c.TF))],"Ir84a_TF_Occ_PopSpecific.txt")
  
```

- merged the individual pop-specific files into one table using the command: "paste *_TF_Occ_PopSpecific.txt > TF_sigOcc_7pops_PopSpecific.txt"
- manually added the header to the merged table


























## pdm3 plot (Fig. 4)

```{r}
my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)
s.pdm3<-as.matrix(full.data[,which(colnames(full.data)==("pdm3"))])
s.pdm3[which(s.pdm3[,1]<0)]<-0 # set negative values to zero
levelplot(s.pdm3, main="pdm3", xlab="", ylab="", col.regions=my_palette)
```



## fmi plot (Fig. 4)

```{r}
my_palette <- colorRampPalette(c("white", "#4B477C","#0F075B"))(n = 20)
s.fmi<-as.matrix(full.data[,which(colnames(full.data)==("stan"))])
s.fmi[which(s.fmi[,1]<0)]<-0 # set negative values to zero
levelplot(s.fmi, main="fmi", xlab="", ylab="", col.regions=my_palette)
```



## output session info
```{r}
sessionInfo()
```


